Subject: Re: [PATCH net v3 0/3] Clean up and fix error handling in mdio_mux_init()

From: [email-masked]
Date: Wed, 18 Aug 2021 09:50:06 +0000

Hello:

This series was applied to netdev/net.git (refs/heads/master):

On Tue, 17 Aug 2021 20:38:00 -0700 you wrote:
> This patch series was started due to -EPROBE_DEFER not being handled
> correctly in mdio_mux_init() and causing issues [1]. While at it, I also
> did some more error handling fixes and clean ups. The -EPROBE_DEFER fix is
> the last patch.
> 
> Ideally, in the last patch we'd treat any error similar to -EPROBE_DEFER
> but I'm not sure if it'll break any board/platforms where some child
> mdiobus never successfully registers. If we treated all errors similar to
> -EPROBE_DEFER, then none of the child mdiobus will work and that might be a
> regression. If people are sure this is not a real case, then I can fix up
> the last patch to always fail the entire mdio-mux init if any of the child
> mdiobus registration fails.
> 
> [...]

Here is the summary with links:
  - [net,v3,1/3] net: mdio-mux: Delete unnecessary devm_kfree
    https://git.kernel.org/netdev/net/c/663d946af5fb
  - [net,v3,2/3] net: mdio-mux: Don't ignore memory allocation errors
    https://git.kernel.org/netdev/net/c/99d81e942474
  - [net,v3,3/3] net: mdio-mux: Handle -EPROBE_DEFER correctly
    https://git.kernel.org/netdev/net/c/7bd0cef5dac6

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html